% APROXLINEAR Calculate the linealization of a Fuzzy Model in a point usign finite differences.
%
%       A = aproxlinear(Fuzzy_Model, X, U)
%
%       A = aproxlinear(Fuzzy_Model, X, U, h)
%
%       [A,B] = aproxlinear(Fuzzy_Model, X, U, h)
%
%       [A,B,F] = aproxlinear(Fuzzy_Model, X, U, h)
%
% Solve the matrices the linear representation of the 'Fuzzy_Model' model
% usign finite differences in the point X with signal control U.
% F is the value of the function at the point (X,U).
%
%                             Y = F + Ax + Bu
%
% Arguments:
%
%   Fuzzy_Model -> Input Fuzzy model.
%
%   X -> State vector.
%
%   U -> Control vector.
%
%	h -> Increment. Default value is 0.001;
%
% Fuzzy_Model could be a '.txt' file, a '.fis' file, or a 'FIS' variable from
% MATLAB Workspace.
%
%  See also activation, antec2mat, aproxjac, conseq2mat, fis2txt, fuz2mat,
%           fuzcomb, fuzeval, fuzjac, fuzlinear, fuzprint, mat2antec, mat2conseq,
%           mat2fuz, subsystem, txt2fis

% #############################################################################
%
%    Copyright (C) 2004-2011
%    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
%    http://www.uhu.es/antonio.barragan
%
%    Collaborators:
%    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es
%	 MARIANO J. AZNAR, marianojose.aznar@alu.uhu.es
%
%    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
%    ETSI, UNIVERSITY OF HUELVA (SPAIN)
%
%    For more information, please contact with authors.
%
%    This software is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This software is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
% #############################################################################

