%
% You must have installed the Template Numerical Toolkit
% (http://math.nist.gov/tnt) on your build path, eg C:\MinGW\include
%
% The Mex environment of MATLAB must be configured with gcc. See GNUMex (http://gnumex.sourceforge.net).
%

directory = cd('..');

try
    % Compile the base code
    mex membership.cpp -c
    mex rule.cpp -c
    mex system.cpp -c
    mex utilities.cpp -c
    mex derivatives.cpp -c

    !move /-Y *.obj matlab_utilities

    cd('matlab_utilities');

    mex aux_matlab.cpp -c

   % Compile and link MEX files
    mex activation.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex antec2mat.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex aproxjac.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj derivatives.obj
    mex aproxlinear.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj derivatives.obj
    mex conseq2mat.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex extractPoints.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex initializeController.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex fis2txt.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex fuz2mat.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex fuzcomb.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex fuzeval.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex fuzjac.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj derivatives.obj
    mex fuzlinear.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj derivatives.obj
    mex fuzprint.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex mat2antec.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex mat2conseq.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex mat2fuz.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex subsystem.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
    mex txt2fis.cpp membership.obj rule.obj system.obj utilities.obj aux_matlab.obj
catch
    !erase *.obj /-Y
    cd(directory);
    clear directory
    error('Error in the compilation process!')
end

% Delete the object code
try
    !erase *.obj /-Y
catch
    cd(directory);
    error('Error deleting object files.')
end

cd(directory);
clear directory

% #############################################################################
%
%    Copyright (C) 2004-2011
%    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
%    http://www.uhu.es/antonio.barragan
%
%    Collaborators:
%    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es
%	 MARIANO J. AZNAR, marianojose.aznar@alu.uhu.es
%
%    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
%    ETSI, UNIVERSITY OF HUELVA (SPAIN)
%
%    For more information, please contact with authors.
%
%    This software is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This software is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
% #############################################################################
