% SUBSYSTEM Generate a subsystem (submodel) from a fuzzy model.
% 
%         SubFIS = subsystem(FIS_Model,Outputs,Rules)
% 
% Arguments:
%
%     FIS_Model -> Original fuzzy model.
%
%     Outputs -> List of outputs for selected rules.
%
%     Rules -> Selected rules (for each output) to make the subsystem.
%
%     SubFIS -> Generated subsystem.
%
%  For example:
%
%     P = readfis('Plant.fis')
%     subP = subsystem(P,[1,2,2],[1,1,2])
%
%  'subP' has 3 rules, the 1st rule for the 1st output of P, and the 1st and
%  2nd rule for the 2nd output of P.
%
%  See also activation, antec2mat, aproxjac, aproxlinear, conseq2mat, fis2txt,
%           fuz2mat, fuzcomb, fuzeval, fuzjac, fuzlinear, fuzprint, mat2antec,
%           mat2conseq, mat2fuz, txt2fis

% #############################################################################
%
%    Copyright (C) 2004-2011
%    ANTONIO JAVIER BARRAGAN, antonio.barragan@diesia.uhu.es
%    http://www.uhu.es/antonio.barragan
%
%    Collaborators:
%    JOSE MANUEL ANDUJAR, andujar@diesia.uhu.es
%	 MARIANO J. AZNAR, marianojose.aznar@alu.uhu.es
%
%    DPTO. DE ING. ELECTRONICA, DE SISTEMAS INFORMATICOS Y AUTOMATICA
%    ETSI, UNIVERSITY OF HUELVA (SPAIN)
%
%    For more information, please contact with authors.
%
%    This software is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This software is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.
% #############################################################################

